<?php
/*
Plugin Name: BounceBaby
Plugin URI: http://www.brettrutecky.com
Description: Capture bounce traffic before they leave your site
Version: 1.20
Author: Brett Rutecky
Author URI: http://www.brettrutecky.com
License: All rights reserved
*/

require_once(ABSPATH . 'wp-settings.php');
error_reporting(0);



register_activation_hook(__FILE__,'bouncebaby_install');

function bouncebaby_install() {
                                global $wpdb;
                                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                                
                                add_option("bouncebaby_ResetTime", '', '', 'yes');
                                add_option("bouncebaby_AddToEvery", '', '', 'yes');
                                include('create_database.php');
                                
                              }

if ( is_admin() ){
                 /* Call the html code */
                 add_action('admin_menu', 'bouncebaby_admin_menu');

                 function bouncebaby_admin_menu() {
                                                  add_menu_page('BounceBaby', 'BounceBaby', 'administrator','bouncebaby', 'bouncebaby_admin');
                                                  }
                 }

function bouncebaby_admin() { 
                              global $wpdb;
                              $PGPath=plugins_url()."/bouncebaby/";
                              //wp_deregister_script( 'jquery' );
                              wp_register_script('bby_jq', '//ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js'); 
                              wp_enqueue_script('bby_jq');
                              //wp_enqueue_script('jquery');
                              
                              include('main.php');
                              
                             } 






$bouncebaby_AddToEvery=get_option('bouncebaby_AddToEvery');
$bouncebaby_ResetTime=get_option('bouncebaby_ResetTime');

//$bouncebaby_AddToEvery="0";
if ($bouncebaby_AddToEvery!="1"){
                                 wp_register_script('bby_jq', '//ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js');
                                 wp_enqueue_script('bby_jq');
                                 //echo "<h1>--$bouncebaby_AddToEvery--</h1>";
                                 add_shortcode('bouncebaby', 'bouncebaby_add' );
                                }else{
                                      if (!is_admin() ){
                                                        global $wpdb;
                                                        $PGPath=plugins_url()."/bouncebaby/";
                                                        $B_ID=$bouncebaby_AddToEvery;
                                                        include('showbounce.php');
                                                       }                                                         
                                      
                                     }                 
                                      
function bouncebaby_add($atts){
                               wp_register_script('bby_jq', '//ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js');
                               wp_enqueue_script('bby_jq');
                               global $wpdb;
                               $PGPath=plugins_url()."/bouncebaby/";
                               $B_ID=$atts['id'];
                               $bouncebaby_AddToEvery=get_option('bouncebaby_AddToEvery');
                               $bouncebaby_ResetTime=get_option('bouncebaby_ResetTime');
                               include('showbounce.php');
                              }     
                             
?>